# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []


def install():
    mkdirs("/opt/ldapadmin")
    filecopyto("LdapAdmin", "/opt/ldapadmin/LdapAdmin")
    run("chmod 755 /opt/ldapadmin/LdapAdmin")


def uninstall():
    remove_tree("/opt/ldapadmin")


def audit():
    if not isfile("/opt/ldapadmin/LdapAdmin"):
        print("erreur file not found")
        return "ERROR"
    else:
        return "OK"


def update_package():

    # Compile
    mkdirs("/var/build")
    run("git clone https://github.com/ibv/LDAP-Admin.git /var/build")

    update_apt()
    install_apt("mingw-w64")
    install_apt("binutils-mingw-w64")
    run("ln -s /usr/bin/x86_64-w64-mingw32-windres /usr/bin/windres")

    version = "0.0.%s" % run(r"git -C /var/build rev-list --count master").strip()
    control.version = "%s-%s" % (version, control.version.split("-", 1)[-1])
    control.save_control_to_wapt()

    run("lazbuild /var/build/Source/LdapAdmin.lpi ")

    # WAPT PAckage prepare
    filecopyto("/var/build/Source/LdapAdmin", "LdapAdmin")
